zlib (1:1.3.dfsg+really1.3.1-1ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 15:41:13 +0000

zlib (1:1.3.dfsg+really1.3.1-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2073992). Remaining changes:
    - d/rules: Compile with DFLTCC enabled on s390x and
      hardware compression at level 6
    - d/zlib-core.symbols: Drop dfsg suffix from version
    - d/p/power/*: Add optimized crc32 for POWER8+
    - d/p/s390x/*: Add optimized crc32 and hardware deflate
    - Add watch file, with GPG tarball checking, and version mangling
    - Build x32 packages
    - Stop building 32bit lib on s390x (LP: #2075313)
    - Fix build for package metadata

  * d/p/{power,s390x}/*: refreshed (dropped README.contrib, fixed minor
    conflicts)

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 13 Aug 2024 13:20:36 +0200

zlib (1:1.3.dfsg+really1.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Fri, 10 May 2024 10:32:36 +0100

zlib (1:1.3.dfsg-3.1ubuntu4) oracular; urgency=medium

  * Stop building 32bit lib on s390x.
  * Fix build for package metadata.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Aug 2024 05:53:41 +0200

zlib (1:1.3.dfsg-3.1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:35:49 +0000

zlib (1:1.3.dfsg-3.1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build x32 packages
    - Add watch file, with GPG tarball checking, and version mangling
    - d/rules: Compile with DFLTCC enabled on s390x and hardware
      compression at level 6
    - d/zlib-core.symbols: Drop dfsg suffix from version
    - d/p/power/*: Add optimized crc32 for POWER8+
    - d/p/s390x/*: Add optimized crc32 and hardware deflate

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 11:36:00 +0100

zlib (1:1.3.dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063242

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 12:59:44 +0000

zlib (1:1.3.dfsg-3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Build x32 packages
    - Add watch file, with GPG tarball checking, and version mangling
    - d/rules: Compile with DFLTCC enabled on s390x and hardware
      compression at level 6
    - d/zlib-core.symbols: Drop dfsg suffix from version
  * New patches rebased from iii-i/zlib/dfltcc on GitHub:
    - d/p/power/*: Add optimized crc32 for POWER8+
    - d/p/s390x/*: Add optimized crc32 and hardware deflate
  * Patches superseded by the above:
    - d/p/410.patch: Add support for IBM Z hardware-accelerated deflate
    - d/p/478.patch: Add optimized crc32 for Power 8+ processors
    - d/p/s390x-vectorize-crc32.patch: Add s390x vectorized crc32 support
    - d/p/1390.patch: Don't update strm.adler for raw streams on s390x
      (DFLTCC), otherwise libxml2 gets broken on s390x. LP #2002511
    - d/p/lp-2018293-fix-crash-in-deflateBound-if-called-before-deflateInt
      .patch: Avoid potential deflateBound() function crash on s390x

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 24 Nov 2023 08:22:52 +0000

zlib (1:1.3.dfsg-3) unstable; urgency=low

  * Update the version of texlive-binaries we break since they still had
    broken version checks (closes: #1056312).

 -- Mark Brown <broonie@debian.org>  Thu, 23 Nov 2023 13:02:20 +0000

zlib (1:1.3.dfsg-2) unstable; urgency=low

  * Install library into /usr (closes: #1055938).
  * Backport patch for minizip CVE-2023-45853 (closes: #1054290).

 -- Mark Brown <broonie@debian.org>  Fri, 17 Nov 2023 22:10:10 +0000

zlib (1:1.3.dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Mon, 06 Nov 2023 16:28:55 +0000

zlib (1:1.2.13.dfsg-3) unstable; urgency=low

  * Further fixes to the minizip integration, don't install the minizip
    headers in both -dev packages (closes: #1049384).

 -- Mark Brown <broonie@debian.org>  Tue, 15 Aug 2023 14:35:28 +0100

zlib (1:1.2.13.dfsg-2) unstable; urgency=low

  * Build minizip packages since for some reason the minizip upstream
    appears to have decided to release via zlib's contrib directiory
    and do nothing separate, patch from Michael Gilbert adapted to fix
    build issues (closes: #956181).

 -- Mark Brown <broonie@debian.org>  Tue, 15 Aug 2023 00:28:42 +0100

zlib (1:1.2.13.dfsg-1ubuntu5) mantic; urgency=medium

  * Add
    d/p/lp-2018293-fix-crash-in-deflateBound-if-called-before-deflateInt.patch
    to avoid potential deflateBound() function crash on s390x.
  * Clean-up and remove
    d/p/lp1932010-ibm-z-add-vectorized-crc32-implementation.patch since it was
    replaced by d/p/s390x-vectorize-crc32.patch with 1.2.13.dfsg-1ubuntu3
    but was still in d/p/ (but not in d/p/series). 

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 02 Aug 2023 13:22:26 +0200

zlib (1:1.2.13.dfsg-1ubuntu4) lunar; urgency=medium

  * Add d/p/1390.patch to not update strm.adler for raw streams on s390x 
    (DFLTCC), otherwise libxml2 gets broken on s390x. LP: #2002511

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 11 Jan 2023 18:02:34 +0100

zlib (1:1.2.13.dfsg-1ubuntu3) lunar; urgency=medium
  
  * Re-add vectorized crc32 support for s390x by adding
    d/p/s390x-vectorize-crc32.patch
    (crc32vx-v4: s390x: vectorize crc32). (LP: #1998470)
    This replaces the previously dropped patch:
    lp1932010-ibm-z-add-vectorized-crc32-implementation.patch
  * Remove option '--crc32-vx' for s390x in d/rules, that was previously just
    commented out, since it's no longer needed with the new s390x crc32 code.
  * Update d/p/410.patch to version 26f2c0a4e17e5558d779797d713aa37ebaeef390
    due to unused "const char *endptr;".

 -- Frank Heimes <frank.heimes@canonical.com>  Mon, 21 Nov 2022 20:28:58 +0100

zlib (1:1.2.13.dfsg-1ubuntu2) lunar; urgency=medium

  * Comment out use of --crc32-vx on s390x, since this is currently not
    implemented due to the dropped patch that needs porting.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 15 Nov 2022 17:06:45 +0000

zlib (1:1.2.13.dfsg-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build x32 packages
    - debian/zlib-core.symbols: Drop dfsg suffix from version
    - Add watch file, with GPG tarball checking, and version mangling
    - Cherrypick PR#410 to enable hardware-accelerated deflate.
    - Copmile with DFLTCC enabled on s390x.
    - Enable hardware compression on s390x at level 6.
    - d/rules: use configure options for dfltcc instead of hardcoding
       the CFLAGS
  * Dropped changes, included upstream:
    - Cherry-pick Permit-a-deflateParams-parameter-change-asap.patch
    - debian/patches/CVE-2018-25032-2.patch: assure that the number of bits
      for deflatePrime() is valid in deflate.c.
  * Pull rebased 410.patch from https://github.com/madler/zlib/pull/410.
  * Drop d/p/410-lp1961427.patch, included in the above rebase.
  * Replace 335.patch for ppc64el (P8) crc32 performance with 478.patch which
    supersedes it (https://github.com/madler/zlib/pull/478).
  * Forward-port lp1932010-ibm-z-add-vectorized-crc32-implementation.patch.
  * Dropped changes:
    - d/p/lp1932010-ibm-z-add-vectorized-crc32-implementation.patch: this
      patch depends on zlib upstream PR 335 which has been superseded by
      upstream PR 478 with significant refactoring.  Drop this patch,
      pending a port from IBM.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Nov 2022 15:57:28 -0800

zlib (1:1.2.13.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove non-DFSG sources for contrib/testzlib (closes: #1012674).
  * Policy 4.6.1 (no changes).

 -- Mark Brown <broonie@debian.org>  Sat, 05 Nov 2022 12:24:46 +0000

zlib (1:1.2.11.dfsg-4.1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build x32 packages
    - debian/zlib-core.symbols: Drop dfsg suffix from version
    - Add watch file, with GPG tarball checking, and version mangling
    - Cherry-pick Permit-a-deflateParams-parameter-change-asap.patch:
    - Cherrypick PR#410 to enable hardware-accelerated deflate.
    - Copmile with DFLTCC enabled on s390x.
    - Improve crc32 performance on P8, proposed upstream patch.
    - Enable hardware compression on s390x at level 6.
    - Cherrypick update of s390x hw acceleration #410 pull request patch,
      which corrects inflateSyncPoint() return value to always gracefully
      fail when hw acceleration is in use.
    - d/rules: use configure options for dfltcc instead of hardcoding
       the CFLAGS
    - d/p/lp1932010-ibm-z-add-vectorized-crc32-implementation.patch
      ported from zlib-ng #912, adding a vectorized implementation
      of CRC32 on s390x architectures based on kernel code.
    - d/p/lp1932010-ibm-z-add-vectorized-crc32-implementation.patch: adjust
      to not make a PLT call in an ifunc on s390/s390x.
    - debian/patches/CVE-2018-25032-2.patch: assure that the number of bits
      for deflatePrime() is valid in deflate.c.
    - d/p/410-lp1961427.patch ported from zlib #410, fixing
      compressBound() with hw acceleration.
  * Dropped changes, included in Debian:
    - debian/patches/CVE-2018-25032-1.patch: fix a bug that can crash
      deflate on some input when using Z_FIXED in deflate.c, deflate.h.
  * Refresh 410.patch for upstream changes.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 18 Aug 2022 09:09:22 -0700

zlib (1:1.2.11.dfsg-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix a bug when getting a gzip header extra field with inflate()
    (CVE-2022-37434) (Closes: #1016710)
  * Fix extra field processing bug that dereferences NULL state->head

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 12 Aug 2022 22:15:03 +0200

zlib (1:1.2.11.dfsg-4) unstable; urgency=medium

  * Pick upstream patch for CVE-2018-25032 (closes: #1008265).

 -- Mark Brown <broonie@debian.org>  Fri, 25 Mar 2022 23:32:05 +0000

zlib (1:1.2.11.dfsg-3) unstable; urgency=low

  * Add build-arch and build-indep (#999292).
  * Bump debhelper requirement to current.
  * Add win32 to the list of files excluded from the DFSG
    tarball (closes: #919598).
  * Tighten matching for 32 bit architectures using patch from
    Helmut Grohne (closes: #1006799).
  * Policy 4.0.0 (no changes).

 -- Mark Brown <broonie@debian.org>  Fri, 18 Mar 2022 00:21:37 +0000

zlib (1:1.2.11.dfsg-2ubuntu10) kinetic; urgency=medium

  * d/p/410-lp1961427.patch ported from zlib #410, fixing
    compressBound() with hw acceleration. LP: #1961427
    Thanks to Ilya Leoshkevich <iii@linux.ibm.com>.
    In addition a patch is needed for bedtools.

 -- Frank Heimes <frank.heimes@canonical.com>  Thu, 21 Jul 2022 09:30:05 +0100

zlib (1:1.2.11.dfsg-2ubuntu9) jammy; urgency=medium

  * SECURITY UPDATE: memory corruption when deflating
    - debian/patches/CVE-2018-25032-1.patch: fix a bug that can crash
      deflate on some input when using Z_FIXED in deflate.c, deflate.h.
    - debian/patches/CVE-2018-25032-2.patch: assure that the number of bits
      for deflatePrime() is valid in deflate.c.
    - CVE-2018-25032

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 25 Mar 2022 08:06:31 -0400

zlib (1:1.2.11.dfsg-2ubuntu7) impish; urgency=medium

  [ Simon Chopin ]
  * d/rules: use configure options for dfltcc instead of hardcoding
    the CFLAGS
  * d/p/lp1932010-ibm-z-add-vectorized-crc32-implementation.patch
    ported from zlib-ng #912, adding a vectorized implementation
    of CRC32 on s390x architectures based on kernel code. LP: #1932010

  [ Michael Hudson-Doyle ]
  * d/p/lp1932010-ibm-z-add-vectorized-crc32-implementation.patch: adjust to
    not make a PLT call in an ifunc on s390/s390x. 

 -- Simon Chopin <simon.chopin@canonical.com>  Thu, 12 Aug 2021 15:45:49 +1200

zlib (1:1.2.11.dfsg-2ubuntu6) hirsute; urgency=medium

  * No-change rebuild to build with lto.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 28 Mar 2021 09:10:07 +0200

zlib (1:1.2.11.dfsg-2ubuntu5) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:36:58 +0100

zlib (1:1.2.11.dfsg-2ubuntu4) groovy; urgency=medium

  * Cherrypick update of s390x hw acceleration #410 pull request patch,
    which corrects inflateSyncPoint() return value to always gracefully
    fail when hw acceleration is in use. This fixes rsync failure with
    zlib compression on hw accelerated s390x. LP: #1899621

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 15 Oct 2020 11:01:38 +0100

zlib (1:1.2.11.dfsg-2ubuntu3) groovy; urgency=medium

  * Enable hardware compression on s390x at level 6. LP: #1884514

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Sep 2020 08:44:35 +1200

zlib (1:1.2.11.dfsg-2ubuntu2) groovy; urgency=medium

  * Update d/patches/410.patch to current state. LP: #1882494, #1889059, #1893170

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 20 Aug 2020 11:52:59 +1200

zlib (1:1.2.11.dfsg-2ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build x32 packages
    - debian/zlib-core.symbols: Drop dfsg suffix from version
    - Add watch file, with GPG tarball checking, and version mangling
    - Drop unused patches
    - Cherry-pick Permit-a-deflateParams-parameter-change-asap.patch:
      (LP: #1692870)
    - Cherrypick PR#410 to enable hardware-accelerated deflate.
    - Copmile with DFLTCC enabled on s390x. LP: #1823157
    - Improve crc32 performance on P8, proposed upstream patch. LP: #1742941.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Feb 2020 16:59:52 +0100

zlib (1:1.2.11.dfsg-2) unstable; urgency=low

  * Acknowledge previous NMUs (closes: #949388).
  * Remove zlib1g-dbg in favour of dbgsym (closes: #497831, #926161).
  * Rename stage1 to nobiarch, patch no longer applies due to
    uncoordinated NMUs (closes: #892762).
  * Debhelper has renamed -s to -a.
  * Policy 4.5.0 (no changes).

 -- Mark Brown <broonie@debian.org>  Mon, 24 Feb 2020 21:07:12 +0000

zlib (1:1.2.11.dfsg-1.2ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build x32 packages
    - debian/zlib-core.symbols: Drop dfsg suffix from version
    - Add watch file, with GPG tarball checking, and version mangling
    - Drop unused patches
    - Cherry-pick Permit-a-deflateParams-parameter-change-asap.patch:
      (LP: #1692870)
    - Cherrypick PR#410 to enable hardware-accelerated deflate.
    - Copmile with DFLTCC enabled on s390x. LP: #1823157
  * Improve crc32 performance on P8, proposed upstream patch. LP: #1742941.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2020 12:57:03 +0100

zlib (1:1.2.11.dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs on mips64el caused by the previous NMU by
    remove it from 32-ARCHS to keep NMU minial.

 -- YunQiang Su <syq@debian.org>  Mon, 03 Feb 2020 12:00:47 +0800

zlib (1:1.2.11.dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Enable lib64 for mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el x32
    help to add binutils-host64 for 32bit architectures (Closes: 949388)
  * Remove outdated binutils version requirement for mips/mipsel.

 -- YunQiang Su <syq@debian.org>  Tue, 28 Jan 2020 19:55:38 +0800

zlib (1:1.2.11.dfsg-1ubuntu3) eoan; urgency=medium

  * Cherrypick PR#410 to enable hardware-accelerated deflate.
  * Copmile with DFLTCC enabled on s390x. LP: #1823157

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 19 Aug 2019 19:51:09 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog zlib1g`.
